Returns the Server on which the command was executed

- « MongoDB\Driver\Monitoring\CommandFailedEvent::getRequestId

- MongoDB\Driver\Monitoring\CommandFailedEvent::getServerConnectionId »

- PHP Manual
- MongoDB\Driver\Monitoring\CommandFailedEvent
- Returns the Server on which the command was executed

# MongoDB\Driver\Monitoring\CommandFailedEvent::getServer

(mongodb >=1.3.0)

MongoDB\Driver\Monitoring\CommandFailedEvent::getServer — Returns the Server on which the command was executed

Warning

This method has been DEPRECATED as of extension version 1.20.0 and will be removed in 2.0. Applications should use MongoDB\Driver\Monitoring\CommandFailedEvent::getHost() and MongoDB\Driver\Monitoring\CommandFailedEvent::getPort() instead.

### Description

final public MongoDB\Driver\Monitoring\CommandFailedEvent::getServer(): MongoDB\Driver\Server

Returns the MongoDB\Driver\Server on which the command was executed.

### Parameters

This function has no parameters.

### Return Values

Returns the MongoDB\Driver\Server on which the command was executed.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Monitoring\CommandStartedEvent::getServer() - Returns the Server on which the command was executed
- Application Performance Monitoring (APM)